public sendfile




sendfile:
	mov	e,m		;address of pb
	inx	h
	mov	d,m
	xchg			;address of buffer
	lxi	d,129		;length of buffer
send1:
	mov	m,a		;get byte
	call 	send
	inx	h
	dcx	d
	mov	a,d
	ora	e
	jnz	send1		;jump if not at the end
	ret
send:
	push	psw
send0:
	in	0c2h
	ani	080h
	jz	send0		;wait for ready
	pop	psw
	out	0c3h
	ret	
end
